<div class="flex flex-column pt-8">
  <div class="text-center uppercase text-3xl font-bold underline mb-8">
    Személyes adatok
  </div>
  <div class="flex align-items-center justify-content-center">
    <p-card class="w-6">
      <div class="flex flex-row flex-wrap">
        <form [formGroup]="userForm">
          <div class="mt-3 mb-5 ml-3 text-2xl underline">
            Személyes adatok
          </div>
          <div class="flex justify-content-start flex-wrap gap-3">
            <div class="flex align-items-center justify-content-center border-round m-3">
            <span class="p-float-label">
                <input pInputText id="name" formControlName="name"/>
                <label for="name">Név</label>
            </span>
            </div>
            <div class="flex align-items-center justify-content-center border-round m-3">
            <span class="p-float-label">
                <input pInputText id="email" formControlName="email"/>
                <label for="email">E-mail</label>
            </span>
            </div>
            <div class="flex align-items-center justify-content-center border-round m-3">
            <span class="p-float-label">
                <input pInputText id="number" formControlName="number" pKeyFilter="int"/>
                <label for="number">Telefonszám</label>
            </span>
            </div>
            <div class="flex align-items-center justify-content-center border-round m-3">
            <span class="p-float-label">
                <input pInputText id="dept" formControlName="dept"/>
                <label for="dept">Tanszék</label>
            </span>
            </div>
            <div class="flex align-items-center justify-content-center border-round m-3">
            <span class="p-float-label">
                <p-calendar dateFormat="yy.mm.dd" id="birthday" formControlName="birthday">
                </p-calendar>
               <label for="birthday">Születésnap</label>
            </span>
            </div>
            <div class="flex align-items-center justify-content-center border-round m-3">
            <span class="p-float-label">
                <input pInputText id="position" formControlName="position"/>
                <label for="position">Pozíció</label>
            </span>
            </div>
          </div>
          <p-divider></p-divider>
          <div class="mt-3 mb-5 ml-3 text-2xl underline">
            Lakcím
          </div>

          <div class="flex justify-content-start flex-wrap gap-3">
            <div class="flex align-items-center justify-content-center border-round m-3">
            <span class="p-float-label">
                <input pInputText id="irsz" formControlName="irsz"/>
                <label for="irsz">IRSZ</label>
            </span>
            </div>
            <div class="flex align-items-center justify-content-center border-round m-3">
            <span class="p-float-label">
                <input pInputText id="telepules" formControlName="telepules"/>
                <label for="telepules">Település</label>
            </span>
            </div>
            <div class="flex align-items-center justify-content-center border-round m-3">
            <span class="p-float-label">
                <input pInputText id="kozteruletNeve" formControlName="kozteruletNeve"/>
                <label for="kozteruletNeve">Közterület neve</label>
            </span>
            </div>
            <div class="flex align-items-center justify-content-center border-round m-3">
            <span class="p-float-label">
                <input pInputText id="kozteruletJellege" formControlName="kozteruletJellege"/>
                <label for="kozteruletJellege">Közterület jellege</label>
            </span>
            </div>
            <div class="flex align-items-center justify-content-center border-round m-3">
            <span class="p-float-label">
                <input pInputText id="hazszam" formControlName="hazszam"/>
                <label for="hazszam">Házszám</label>
            </span>
            </div>
          </div>
        </form>
      </div>
      <div class="flex align-items-center justify-content-center">
        <p-button (onClick)="enableUserForm()" class="mr-3 w-4">Módosítás</p-button>
        <p-button (onClick)="insertData()">Mentés</p-button>
      </div>
    </p-card>
  </div>
</div>
<p-toast [life]="10000"></p-toast>
